Index: TXM/trunk/org.txm.cooccurrence.core/src/org/txm/cooccurrence/core/functions/Cooccurrence.java
===================================================================
--- TXM/trunk/org.txm.cooccurrence.core/src/org/txm/cooccurrence/core/functions/Cooccurrence.java	(revision 3537)
+++ TXM/trunk/org.txm.cooccurrence.core/src/org/txm/cooccurrence/core/functions/Cooccurrence.java	(revision 3538)
@@ -348,6 +348,7 @@
 	@Parameter(key = CooccurrencePreferences.STRUCTURAL_UNIT_LIMIT, electric = false)
 	protected StructuralUnit pStructuralUnitLimit;
 
+	private CQLQuery fixedQuery;
 
 	/**
 	 * Creates a not computed cooccurrence from the specified corpus.
@@ -1490,16 +1491,16 @@
 	public boolean stepGetMatches() throws CqiClientException {
 		
 		CQPCorpus corpus = this.getCorpus();
-		QueryResult r1 = corpus.query(pQuery, "CoocFocusQuery", false); // keywords positions //$NON-NLS-1$
+		QueryResult r1 = corpus.query(fixedQuery, "CoocFocusQuery", false); // keywords positions //$NON-NLS-1$
 		QueryResult r2 = null;
-		if (contextQuery.equals(pQuery.fixQuery(this.getCorpus().getLang()))) {
+		if (contextQuery.equals(fixedQuery)) {
 			r2 = r1;
 		}
 		else {
 			r2 = corpus.query(contextQuery, "CoocContextFocusQuery", false); // max context //$NON-NLS-1$
 		}
 		QueryResult r3 = null;
-		if (anticontextquery.equals(pQuery.fixQuery(this.getCorpus().getLang()))) {
+		if (anticontextquery.equals(fixedQuery)) {
 			r3 = r1;
 		}
 		else if (contextQuery.equals(anticontextquery)) {
@@ -1514,7 +1515,7 @@
 		m2 = r2.getMatches();
 		m3 = r3.getMatches();
 		
-		if (debug) System.out.println(pQuery);
+		if (debug) System.out.println(fixedQuery);
 		if (debug) System.out.println(m1);
 		if (debug) System.out.println(contextQuery);
 		if (debug) System.out.println(m2);
@@ -1612,15 +1613,15 @@
 	public boolean stepQueryLimits() {
 		// structural context
 
-		String fixedQuery = CQLQuery.fixQuery(pQuery.getQueryString(), this.getCorpus().getLang()); // a query starting with " or [ or (
-		if (fixedQuery.contains("@[") || fixedQuery.contains("@\"")) {
+		String sfixedQuery = CQLQuery.fixQuery(pQuery.getQueryString(), this.getCorpus().getLang()); // a query starting with " or [ or (
+		if (sfixedQuery.contains("@[") || sfixedQuery.contains("@\"")) {
 			
-		} else if (fixedQuery.startsWith("(")) {
-			fixedQuery = "(@"+fixedQuery.substring(1);
-		} else if (fixedQuery.startsWith("((")) {
-			fixedQuery = "((@"+fixedQuery.substring(2);
+		} else if (sfixedQuery.startsWith("(")) {
+			sfixedQuery = "(@"+sfixedQuery.substring(1);
+		} else if (sfixedQuery.startsWith("((")) {
+			sfixedQuery = "((@"+sfixedQuery.substring(2);
 		} else {
-			fixedQuery = "@"+fixedQuery;
+			sfixedQuery = "@"+sfixedQuery;
 		}
 
 		if (pStructuralUnitLimit != null) {
@@ -1632,7 +1633,7 @@
 				tempquery += "(<" + lname + ">[]* </" + lname + ">){" + (pMaxLeftContextSize) + "," + (pMaxLeftContextSize) + "}"; //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$ //$NON-NLS-5$
 			}
 			// (<p>[]*</p>){0, 50} "je" (<p>[]*</p>){0, 50}
-			tempquery += " <" + lname + ">[]* " + fixedQuery + " []* </" + lname + "> "; //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$
+			tempquery += " <" + lname + ">[]* " + sfixedQuery + " []* </" + lname + "> "; //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$
 
 			// test if there is a right context
 			if (pMinRightContextSize > 0) {
@@ -1646,7 +1647,7 @@
 				if (pMinLeftContextSize > 1) {
 					anticontextquerystring += "(<" + lname + ">[]* </" + lname + ">){" + (pMinLeftContextSize - 1) + "," + (pMinLeftContextSize - 1) + "} <" + lname + ">[]* "; //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$ //$NON-NLS-5$ //$NON-NLS-6$
 				}
-				anticontextquerystring += fixedQuery;
+				anticontextquerystring += sfixedQuery;
 				// minright = 2..N
 				if (pMinRightContextSize > 1) {
 					anticontextquerystring += " []* </" + lname + "> (<" + lname + ">[]* </" + lname + ">){" + (pMinRightContextSize - 1) + "," + (pMinRightContextSize - 1) + "}"; //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$ //$NON-NLS-5$ //$NON-NLS-6$
@@ -1659,7 +1660,7 @@
 				if (pMinLeftContextSize > 0) {
 					anticontextquerystring += "(<" + lname + ">[]* </" + lname + ">){" + (pMinLeftContextSize - 1) + "," + (pMinLeftContextSize - 1) + "} <" + lname + ">[]* "; //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$ //$NON-NLS-5$ //$NON-NLS-6$
 				}
-				anticontextquerystring += fixedQuery;
+				anticontextquerystring += sfixedQuery;
 				// minright = 2..N
 				if (pMinRightContextSize > 0) {
 					anticontextquerystring += " []* </" + lname + "> (<" + lname + ">[]* </" + lname + ">){" + (pMinRightContextSize - 1) + "," + (pMinRightContextSize - 1) + "}"; //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$ //$NON-NLS-5$ //$NON-NLS-6$
@@ -1673,7 +1674,7 @@
 			if (pMinLeftContextSize > 0) { // test if there is a left context
 				tempquery += "[]{" + pMaxLeftContextSize + "," + pMaxLeftContextSize + "} "; //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
 			}
-			tempquery += fixedQuery;
+			tempquery += sfixedQuery;
 
 			if (pMinRightContextSize > 0) { // test if there is a right context
 				tempquery += " []{" + pMaxRightContextSize + "," + pMaxRightContextSize + "} "; //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
@@ -1683,12 +1684,15 @@
 			if (pMinLeftContextSize > 1) {
 				anticontextquerystring += "[]{" + (pMinLeftContextSize - 1) + ", " + (pMinLeftContextSize - 1) + "}"; //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
 			}
-			anticontextquerystring += fixedQuery;
+			anticontextquerystring += sfixedQuery;
 			if (pMinRightContextSize > 1) {
 				anticontextquerystring += "[]{" + (pMinRightContextSize - 1) + "," + (pMinRightContextSize - 1) + "} "; //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
 			}
 			this.anticontextquery = new CQLQuery(anticontextquerystring);
 		}
+		
+		fixedQuery = new CQLQuery(sfixedQuery);
+		//fixedQuery = pQuery;
 		return true;
 	}
 
@@ -1716,7 +1720,8 @@
 	public boolean toTxt(Writer writer, String colseparator, String txtseparator) {
 		try {
 			// Occ Freq CoFreq Score MeanDist
-			writer.write(txtseparator + CooccurrenceCoreMessages.occ + txtseparator + colseparator +
+			writer.write(
+					txtseparator + CooccurrenceCoreMessages.occ + txtseparator + colseparator +
 					txtseparator + CooccurrenceCoreMessages.freq + txtseparator + colseparator +
 					txtseparator + CooccurrenceCoreMessages.coFreq + txtseparator + colseparator +
 					txtseparator + CooccurrenceCoreMessages.score + txtseparator + colseparator +
Index: TXM/trunk/org.txm.searchengine.core/src/org/txm/searchengine/core/Query.java
===================================================================
--- TXM/trunk/org.txm.searchengine.core/src/org/txm/searchengine/core/Query.java	(revision 3537)
+++ TXM/trunk/org.txm.searchengine.core/src/org/txm/searchengine/core/Query.java	(revision 3538)
@@ -180,7 +180,9 @@
 	
 	@Override
 	public boolean equals(Object obj) {
+		
 		if (obj == null) return false;
+		
 		if (!(obj instanceof Query)) {
 			return false;
 		}
Index: TXM/trunk/org.txm.udpipe.core/src/org/txm/udpipe/core/Activator.java
===================================================================
--- TXM/trunk/org.txm.udpipe.core/src/org/txm/udpipe/core/Activator.java	(revision 3537)
+++ TXM/trunk/org.txm.udpipe.core/src/org/txm/udpipe/core/Activator.java	(revision 3538)
@@ -1,30 +0,0 @@
-package org.txm.udpipe.core;
-
-import org.osgi.framework.BundleActivator;
-import org.osgi.framework.BundleContext;
-
-public class Activator implements BundleActivator {
-
-	private static BundleContext context;
-
-	static BundleContext getContext() {
-		return context;
-	}
-
-	/*
-	 * (non-Javadoc)
-	 * @see org.osgi.framework.BundleActivator#start(org.osgi.framework.BundleContext)
-	 */
-	public void start(BundleContext bundleContext) throws Exception {
-		Activator.context = bundleContext;
-	}
-
-	/*
-	 * (non-Javadoc)
-	 * @see org.osgi.framework.BundleActivator#stop(org.osgi.framework.BundleContext)
-	 */
-	public void stop(BundleContext bundleContext) throws Exception {
-		Activator.context = null;
-	}
-
-}
Index: TXM/trunk/org.txm.udpipe.core/META-INF/MANIFEST.MF
===================================================================
--- TXM/trunk/org.txm.udpipe.core/META-INF/MANIFEST.MF	(revision 3537)
+++ TXM/trunk/org.txm.udpipe.core/META-INF/MANIFEST.MF	(revision 3538)
@@ -3,9 +3,7 @@
 Bundle-Name: org.txm.udpipe.core
 Bundle-SymbolicName: org.txm.udpipe.core;singleton:=true
 Bundle-Version: 1.0.0.qualifier
-Bundle-Activator: org.txm.udpipe.core.Activator
-Require-Bundle: org.eclipse.core.runtime;visibility:=reexport,
- org.txm.libs.udpipe;bundle-version="1.0.0";visibility:=reexport,
+Require-Bundle: org.txm.libs.udpipe;bundle-version="1.0.0";visibility:=reexport,
  org.txm.annotation.core;bundle-version="1.0.0";visibility:=reexport
 BBundle-RequiredExecutionEnvironment: JavaSE-10
 Automatic-Module-Name: org.txm.udpipe.core
